Package org.apache.lucene.queryparser.flexible.core.config

# Class QueryConfigHandler

java.lang.Object
org.apache.lucene.queryparser.flexible.core.config.AbstractQueryConfig
org.apache.lucene.queryparser.flexible.core.config.QueryConfigHandler

Direct Known Subclasses:
  `StandardQueryConfigHandler`

public abstract class QueryConfigHandler extends AbstractQueryConfig
This class can be used to hold any query configuration and no field configuration. For field configuration, it creates an empty `FieldConfig` object and delegate it to field config listeners, these are responsible for setting up all the field configuration.

`QueryConfigHandler` should be extended by classes that intend to provide configuration to `QueryNodeProcessor` objects.

The class that extends `QueryConfigHandler` should also provide `FieldConfig` objects for each collection field.

See Also:
  - `FieldConfig`
  - `FieldConfigListener`
  - `QueryConfigHandler`

## Constructor Summary

Constructors
Constructor
Description
`QueryConfigHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFieldConfigListener(FieldConfigListener listener)`
Adds a listener.
`FieldConfig`
`getFieldConfig(String fieldName)`
Returns an implementation of `FieldConfig` for a specific field name.

### Methods inherited from class org.apache.lucene.queryparser.flexible.core.config.AbstractQueryConfig

`get, has, set, unset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueryConfigHandler

public QueryConfigHandler()

## Method Details

### getFieldConfig

public FieldConfig getFieldConfig(String fieldName)
Returns an implementation of `FieldConfig` for a specific field name. If the implemented `QueryConfigHandler` does not know a specific field name, it may return `null` , indicating there is no configuration for that field.

Parameters:
  `fieldName` - the field name
Returns:
  a `FieldConfig` object containing the field name configuration or `null` , if the implemented `QueryConfigHandler` has no configuration for that field

### addFieldConfigListener

public void addFieldConfigListener(FieldConfigListener listener)
Adds a listener. The added listeners are called in the order they are added.

Parameters:
  `listener` - the listener to be added